Bug 626824 - Ch2 Configuration comments from new config methods
Ch2 Configuration comments from new config methods
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
Development
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Lana Brindley
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 10:09 EDT by Robert Rati
Modified: 2013-10-23 19:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-08-24 10:09:59 EDT
Description of problem:
"The global configuration file is shared by all machines in the pool" - This is not really true.  The global configuration file is generally the SAME on each machine in the pool (since we provide it), but it is not necessarily SHARED.  It could be put on a shared filesystem safely, but again that is not how we ship things by default.

" Local configuration file  " - This is actually read 3rd, so should be #3.  Remove "A local configuration file exists for each machine."

Add the following entries to the list of configuration files read (order provided)
2. Local configuration directory - The local configuration directory is defined by the global configuration file shipped with MRG Grid to be /etc/condor/config.d.  Files placed in this directory override settings in the global configuration file and must contain configuration parameters for MRG Grid.  The files in this directory are read in lexigraphical order, with parameters in files read later in the order superceding values read earlier.  To ensure proper ordering each file should be proceeded with a number.  Configuration files placed in the local configuration directory should fall into the following numerical ranges:
00 - personal condor (MRG ships this)
10-40 - user configuration files
50-80 - MRG Grid package configuration files
99 - Reserved for the Remote Configuration feature

4. Local configuration directory - The local configuration directory is read again if it has been changed by a previous configuration setting.  Only files added since the first read will be processed.

Changing the configuration in the local configuration file step 1 & 2- Probably should be something like:
1. Switch to the root user
2. Create a file in the /etc/condor/config.d directory with the appropriate configuration parameters.  Name the file after the functionality being modified/enabled.

"Review the configuration file stored at /etc/condor/condor_config before starting MRG Grid" -> Review the configuration files stored at /etc/condor/condor_config and /etc/condor/config.d/00personal_condor before starting MRG Grid.

"HOSTALLOW_WRITE" -> ALLOW_WRITE

Initial configuration - step 1 -> Create a file in /etc/condor/config.d named 10pool_access (open to better file name)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lana Brindley 2010-08-25 00:01:09 EDT
(In reply to comment #0)
> Description of problem:
> "The global configuration file is shared by all machines in the pool" - This is
> not really true.  The global configuration file is generally the SAME on each
> machine in the pool (since we provide it), but it is not necessarily SHARED. 
> It could be put on a shared filesystem safely, but again that is not how we
> ship things by default.

Hmmm. How does this sound?

<para>
	A global configuration file is required by all machines in the pool. For ease of administration, a single global configuration file can be located on a shared file system. If this is not possible, it will need to be the same across all nodes. This file should not be directly edited. An example of what the global configuration file looks like is in <xref linkend="exam-Grid_User_Guide-Example_configuration_files-The_default_global_configuration_file" />
</para>

> 
> " Local configuration file  " - This is actually read 3rd, so should be #3. 
> Remove "A local configuration file exists for each machine."

Done.

> 
> Add the following entries to the list of configuration files read (order
> provided)
> 2. Local configuration directory - The local configuration directory is defined
> by the global configuration file shipped with MRG Grid to be
> /etc/condor/config.d.  Files placed in this directory override settings in the
> global configuration file and must contain configuration parameters for MRG
> Grid.  The files in this directory are read in lexigraphical order, with
> parameters in files read later in the order superceding values read earlier. 
> To ensure proper ordering each file should be proceeded with a number. 
> Configuration files placed in the local configuration directory should fall
> into the following numerical ranges:
> 00 - personal condor (MRG ships this)
> 10-40 - user configuration files
> 50-80 - MRG Grid package configuration files
> 99 - Reserved for the Remote Configuration feature

<listitem>
	<para>
		<emphasis>Local configuration directory</emphasis>
	</para>
	<para>
		The local configuration directory is located at <filename>/etc/condor/config.d</filename>. This is defined by the default  global configuration file.
	</para>
	<para>
		Files in this directory will override settings in the global file for that machine. Files must contain configuration parameters. Files in this directory are read in lexigraphical order. If there are duplicate parameters in the files, parameters that are read later will override those values read earlier.
	</para>
	<para>
		To ensure the files are ordered correctly, each filename is preceded with a two-digit number, using the following ranges:
	</para>
	<itemizedlist>
		<listitem>
			<para><parameter>00</parameter> - personal condor (included by default)</para>
		</listitem>
		<listitem>
			<para><parameter>10-40</parameter> - user configuration files</para>
		</listitem>
		<listitem>
			<para><parameter>50-80</parameter> - &GRID; package configuration files</para>
		</listitem>
		<listitem>
			<para><parameter>99</parameter> - Reserved for the remote configuration feature</para>
		</listitem>
	</itemizedlist>
</listitem>

> 
> 4. Local configuration directory - The local configuration directory is read
> again if it has been changed by a previous configuration setting.  Only files
> added since the first read will be processed.

<listitem>
	<para>
		<emphasis>Local configuration directory</emphasis>
	</para>
	<para>
		If the local configuration directory has been changed by a configuration setting, it will be read a second time. Only files added since it was last read will be processed.
	</para>
</listitem>

> 
> Changing the configuration in the local configuration file step 1 & 2- Probably
> should be something like:
> 1. Switch to the root user
> 2. Create a file in the /etc/condor/config.d directory with the appropriate
> configuration parameters.  Name the file after the functionality being
> modified/enabled.

 <listitem>
	<para>
		Switch to the root user, and create a file in the <filename>/etc/condor/config.d</filename> directory:
	</para>
<screen>
# touch /etc/condor/config.d/<replaceable>10myconfigurationfile</replaceable>
</screen>

</listitem>
<listitem>
	<para>
		Open the new file using your preferred text editor, and add or edit the configuration parameters as required
	</para>

</listitem>

(Probably needs a better example filename).

> 
> "Review the configuration file stored at /etc/condor/condor_config before
> starting MRG Grid" -> Review the configuration files stored at
> /etc/condor/condor_config and /etc/condor/config.d/00personal_condor before
> starting MRG Grid.
> 
> "HOSTALLOW_WRITE" -> ALLOW_WRITE

<para>
	Review the configuration files stored at <filename>/etc/condor/condor_config</filename> and <filename>/etc/condor/config.d/00personal_condor</filename> before starting &GRID;. The default configuration sets up a <filename>Personal Condor</filename>. <filename>Personal Condor</filename> is a specific style of installation suited for individual users who do not have their own pool of machines. To allow other machines to join your pool you will need to customize the <command>ALLOW_WRITE</command> option. This should be done in the local configuration file.
</para>

> 
> Initial configuration - step 1 -> Create a file in /etc/condor/config.d named
> 10pool_access (open to better file name)
> 

<orderedlist id="orde-Grid_User_Guide-Configuration-Initial_configuration">
	<title>Initial configuration</title>
	<para>
		Review the configuration files stored at <filename>/etc/condor/condor_config</filename> and <filename>/etc/condor/config.d/00personal_condor</filename> before starting &GRID;. The default configuration sets up a <filename>Personal Condor</filename>. <filename>Personal Condor</filename> is a specific style of installation suited for individual users who do not have their own pool of machines. To allow other machines to join your pool you will need to customize the <command>ALLOW_WRITE</command> option. This should be done in the local configuration file.
	</para>
	<listitem>
		<para>
			Create a file in <filename>/etc/condor/config.d</filename>:
		</para>
<screen>
# touch /etc/condor/config.d/10pool_access
</screen>
	</listitem>
	<listitem>
		<para>
			Open the new file in your preferred text editor. A value for the <command>ALLOW_WRITE</command> configuration parameter must be specified in order to allow machines to join your pool and submit jobs. Any machine that you give write access to using the <command>ALLOW_WRITE</command> option should also be given read access using the <command>ALLOW_READ</command> option:
		</para>
			 
<programlisting>
ALLOW_WRITE = <replaceable>*.your.domain.com</replaceable></programlisting>
		<warning>
		<title>Warning</title>
			<para>
				The simplest option is to include <command>ALLOW_WRITE = *</command> in the configuration file. However, this will allow anyone to submit jobs or add machines to your pool. This is a serious security risk and therefore not recommended.
			</para>

		</warning>
	</listitem>
</orderedlist>

LKB
Comment 2 Lana Brindley 2010-08-25 00:04:35 EDT
Changing this bit:

> 
> <para>
>  Review the configuration files stored at
> <filename>/etc/condor/condor_config</filename> and
> <filename>/etc/condor/config.d/00personal_condor</filename> before starting
> &GRID;. The default configuration sets up a <filename>Personal
> Condor</filename>. <filename>Personal Condor</filename> is a specific style of
> installation suited for individual users who do not have their own pool of
> machines. To allow other machines to join your pool you will need to customize
> the <command>ALLOW_WRITE</command> option. This should be done in the local
> configuration file.
> </para>


<para>
	Review the configuration files stored at <filename>/etc/condor/condor_config</filename> and <filename>/etc/condor/config.d/00personal_condor</filename> before starting &GRID;. The default configuration sets up a <filename>Personal Condor</filename>. <filename>Personal Condor</filename> is a specific style of installation suited for individual users who do not have their own pool of machines. To allow other machines to join the pool, specify the <command>ALLOW_WRITE</command> option in the local configuration directory.
</para>

LKB
Comment 3 Robert Rati 2010-08-30 13:01:24 EDT
~/condor/condor_config ->  ~condor/condor_config  (no / after ~)
Comment 4 Lana Brindley 2010-09-05 23:29:34 EDT
(In reply to comment #3)
> ~/condor/condor_config ->  ~condor/condor_config  (no / after ~)

<filename>~condor/condor_config</filename>

LKB

Note You need to log in before you can comment on or make changes to this bug.